function varargout=plotVectorField(self,V,varargin)%scale,varargin)
  %FC : To improve
  p = inputParser;
  p.KeepUnmatched=true; 
  p.addParamValue('labels',[]); % select labels to draw
  %p.addParamValue('freq',1,@isscalar); % plot frequence
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if isempty(R.labels), R.labels=self.sThlab(self.sThsimp==self.d);end
  LB=self.find(self.d);
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  for l=1:length(R.labels)
    [I,K]=ismember(R.labels(l),self.sThlab(LB));
    if K==0
      %warning('label %d not found for %d-simplex sub-meshes',R.labels(l),2);
    else
      Ilab=LB(K);
      self.sTh{Ilab}.plotVectorField(V,varargin{:});%,scale,'freq',R.freq,varargin{:});
    end
  end
  fc_tools.graphics.RestoreHold(PrevHold)
end
